Update a payment reminder configuration

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

payment_reminder_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
namestringOptional1-255 characters
recipientsobjectOptional
term_1_reminderobjectOptional
Reminder to send for first payment term
term_2_reminderobjectOptional
Reminder to send for second payment term
term_final_reminderobjectOptional
Reminder to send for final payment term

Response

Successful Response
idstringformat: "uuid"
created_atdatetime
Time at which the PaymentReminder was created. Timestamps follow the ISO 8601 standard.
updated_atdatetime
Time at which the PaymentReminder was last updated. Timestamps follow the ISO 8601 standard.
entity_idstringformat: "uuid"
namestring
statusenum
Allowed values:
recipientsobject
term_1_reminderobject
Reminder to send for first payment term
term_2_reminderobject
Reminder to send for second payment term
term_final_reminderobject
Reminder to send for final payment term

Errors

400
Patch Payment Reminders ID Request Bad Request Error
401
Patch Payment Reminders ID Request Unauthorized Error
403
Patch Payment Reminders ID Request Forbidden Error
404
Patch Payment Reminders ID Request Not Found Error
422
Patch Payment Reminders ID Request Unprocessable Entity Error
429
Patch Payment Reminders ID Request Too Many Requests Error